Well basically, I haven&#39;t update my Haskell libraries for some time now (around a month) so when I finally got around to updating my Haskell packages (which are installed through Archlinux&#39;s AUR) my GHC installation broke (again). This has been happening for some time now (I have been having this problem for around a year)<div>
<br></div><div>Basically it occurs when pacman updates a package using an AUR package, which cabal refuses to install because it can break other packages (yet the package still gets installed according to pacman). So this means I have to manually go through /usr/lib/ghc-6.12.3/package.conf.d and manually updating all the package hashes while doing some manual dependency tracking through ghc-check</div>
<div><br></div><div>This honestly starting to become annoying, is there any ideas or plans on how to resolve this issue. The end user shouldn&#39;t have to be dealing with this, and if installing a package can break the system, it shouldn&#39;t be &#39;semi&#39; installed in the first place</div>